#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# Vala API

Summary:	Library for building UPnP A/V applications
Summary(pl.UTF-8):	Biblioteka do budowania aplikacji UPnP A/V
Name:		gupnp-av
# note: 0.14.x is stable, 0.15.x unstable
Version:	0.14.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.gnome.org/sources/gupnp-av/0.14/%{name}-%{version}.tar.xz
# Source0-md5:	50bea03f3f19f5b6d5e3445ca83661d7
URL:		https://wiki.gnome.org/Projects/GUPnP
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.58
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.22}
BuildRequires:	xz
Requires:	glib2 >= 1:2.58
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gupnp-av is a small library that aims to easy the handling and
implementation of UPnP A/V profiles.

%description -l pl.UTF-8
gupnp-av jest małą biblioteką, której celem jest uproszczenie obsługi
i implementacji profili UPnP A/V.

%package devel
Summary:	Header files for gupnp-av library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gupnp-av
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.58
Requires:	libxml2-devel >= 2.0

%description devel
Header files for gupnp-av library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gupnp-av.

%package static
Summary:	Static gupnp-av library
Summary(pl.UTF-8):	Statyczna biblioteka gupnp-av
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp-av library.

%description static -l pl.UTF-8
Statyczna biblioteka gupnp-av.

%package apidocs
Summary:	gupnp-av library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gupnp-av
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API and internal documentation for gupnp-av library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gupnp-av.

%package -n vala-gupnp-av
Summary:	Vala API for gupnp-av library
Summary(pl.UTF-8):	API języka Vala dla biblioteki gupnp-av
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.22
BuildArch:	noarch

%description -n vala-gupnp-av
Vala API for gupnp-av library.

%description -n vala-gupnp-av -l pl.UTF-8
API języka Vala dla biblioteki gupnp-av.

%prep
%setup -q

%build
%meson build \
	%{?with_apidocs:-Dgtk_doc=true} \
	%{!?with_vala:-Dvapi=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/libgupnp-av-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-av-1.0.so.3
%{_libdir}/girepository-1.0/GUPnPAV-1.0.typelib
%{_datadir}/gupnp-av

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-av-1.0.so
%{_datadir}/gir-1.0/GUPnPAV-1.0.gir
%{_includedir}/gupnp-av-1.0
%{_pkgconfigdir}/gupnp-av-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-av-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp-av
%endif

%if %{with vala}
%files -n vala-gupnp-av
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi
%endif
%changelog
* Mon Sep 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp-av.git;a=log;h=master

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> fdc71f7
- removed obsolete pc patch

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 1ca0ae8
- updated to 0.14.0 (new soname)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> f5cc031
- unconditional noarch subpackages

* Tue May 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 46b6c92
- added pc patch: add Requires.private to gupnp-av-1.0.pc to get include paths for required headers; release 2

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 22df418
- updated to 0.12.11

* Thu Oct 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 492e369
- glib2 epoch
- gupnp no longer required

* Wed Oct 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a6d8934
- Update to 0.12.10

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 78d55a1
- noarch vala subpackage

* Wed Feb 10 2016 Jakub Bogusz <qboosh@pld-linux.org> a349792
- updated to 0.12.8

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> f5b10d8
- noarch apidoc

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> c7e0198
- release 2 (by relup.sh)

* Sat Jan 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 04d1ab0
- updated to 0.12.7

* Wed Jun 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 5dbb929
- updated to 0.12.6

* Fri Feb 07 2014 Jakub Bogusz <qboosh@pld-linux.org> eb2cab7
- updated to 0.12.5

* Tue Nov 19 2013 Jakub Bogusz <qboosh@pld-linux.org> d92003d
- updated to 0.12.4

* Sat Oct 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 82f9264
- updated to 0.12.3

* Sun Jun 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 9e68167
- updated to 0.12.2

* Tue Mar 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 814e739
- updated to 0.12.1

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 2eaffb3
- build with vala requires vala-gupnp

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 5cd7d54
- updated to 0.12.0

